# PetscOptionsGetAll

Lists all the options the program was run with in a single string.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscOptionsGetAll(char *copts[])

Not Collective

### Output Parameter

copts - pointer where string pointer is stored

### See Also

PetscOptionsAllUsed(), PetscOptionsPrint()

Level:advanced
Location: src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages